Create Discount
curl --request POST \
--url https://api.headlesscommerce.io/v1/admin/discounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"value": 123,
"description": "<string>",
"code": "<string>",
"target": "order",
"usage_limit": 123,
"per_customer_limit": 123,
"minimum_amount": 123,
"maximum_discount": 123,
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"conditions": [
{
"values": [
"<string>"
],
"operator": "in"
}
],
"metadata": {}
}
'{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"code": "<string>",
"value": 123,
"usage_limit": 123,
"usage_count": 123,
"per_customer_limit": 123,
"minimum_amount": {
"amount": 123,
"currency": "<string>"
},
"maximum_discount": {
"amount": 123,
"currency": "<string>"
},
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"is_active": true,
"conditions": [
{
"id": "<string>",
"values": [
"<string>"
]
}
],
"metadata": {},
"created_at": "2023-11-07T05:31:56Z"
}Admin - Discounts
Create Discount
POST
/
admin
/
discounts
Create Discount
curl --request POST \
--url https://api.headlesscommerce.io/v1/admin/discounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"value": 123,
"description": "<string>",
"code": "<string>",
"target": "order",
"usage_limit": 123,
"per_customer_limit": 123,
"minimum_amount": 123,
"maximum_discount": 123,
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"conditions": [
{
"values": [
"<string>"
],
"operator": "in"
}
],
"metadata": {}
}
'{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"code": "<string>",
"value": 123,
"usage_limit": 123,
"usage_count": 123,
"per_customer_limit": 123,
"minimum_amount": {
"amount": 123,
"currency": "<string>"
},
"maximum_discount": {
"amount": 123,
"currency": "<string>"
},
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"is_active": true,
"conditions": [
{
"id": "<string>",
"values": [
"<string>"
]
}
],
"metadata": {},
"created_at": "2023-11-07T05:31:56Z"
}Authorizations
API Key. Example: sk_live_xxxxx or pk_live_xxxxx
Body
application/json
Available options:
code, automatic Available options:
fixed, percentage, free_shipping Available options:
order, line_item, shipping Show child attributes
Show child attributes
Response
201 - application/json
Created
Available options:
code, automatic Available options:
fixed, percentage, free_shipping Available options:
order, line_item, shipping Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I